Create account restriction
curl --request POST \
--url https://api.example.com/v1/accounts/{accountId}/restrictions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "REJECT_OUTBOUND",
"source": "PLAIS",
"reason": "PLAIS restriction",
"externalRef": "PLAIS-2026-12345"
}
'import requests
url = "https://api.example.com/v1/accounts/{accountId}/restrictions"
payload = {
"type": "REJECT_OUTBOUND",
"source": "PLAIS",
"reason": "PLAIS restriction",
"externalRef": "PLAIS-2026-12345"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'REJECT_OUTBOUND',
source: 'PLAIS',
reason: 'PLAIS restriction',
externalRef: 'PLAIS-2026-12345'
})
};
fetch('https://api.example.com/v1/accounts/{accountId}/restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}{
"status": 400,
"title": "<string>",
"instance": "<string>",
"violations": [
{
"field": "<string>",
"in": "query",
"message": "<string>"
}
]
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Accounts
Create account restriction
Creates a restriction for an account without changing its lifecycle status. Returns 202 Accepted when the request is queued for processing.
POST
/
v1
/
accounts
/
{accountId}
/
restrictions
Create account restriction
Headers
Client-provided idempotency key. UUID v4 suggested, max 255 characters.
Maximum string length:
255Pattern:
\SPath Parameters
Account ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Body
application/json
Request to create a restriction for an account
Restriction type
Available options:
REJECT_OUTBOUND, REJECT_INBOUND, HOLD_INBOUND Example:
"REJECT_OUTBOUND"
Restriction source
Available options:
CLIENT, PLAIS Example:
"PLAIS"
Free-text reason for the restriction
Example:
"PLAIS restriction"
External reference associated with the restriction
Example:
"PLAIS-2026-12345"
Response
Account restriction request accepted
Response for accepted asynchronous requests
Correlation identifier for tracking the request through events
Example:
"550e8400-e29b-41d4-a716-446655440000"
Last modified on July 20, 2026